- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
WPGHeader Class Reference

`#include <WPGHeader.h>`

## Public Member Functions
| WPGHeader ()
bool | load (librevenge::RVNGInputStream *input)
bool | isSupported () const
unsigned long | startOfDocument () const
int | majorVersion () const

## Private Attributes
unsigned char | m_identifier [4]
unsigned long | m_startOfDocument
unsigned char | m_productType
unsigned char | m_fileType
unsigned char | m_majorVersion
unsigned char | m_minorVersion
unsigned int | m_encryptionKey
unsigned int | m_startOfPacketData

## Constructor & Destructor Documentation

WPGHeader::WPGHeader | ( |  | ) |

## Member Function Documentation

bool WPGHeader::isSupported | ( |  | ) | const

bool WPGHeader::load | ( | librevenge::RVNGInputStream * | input | ) |

int WPGHeader::majorVersion | ( |  | ) | const

unsigned long WPGHeader::startOfDocument | ( |  | ) | const

## Member Data Documentation

unsigned int WPGHeader::m_encryptionKey
| private

Referenced by isSupported(), and load().

unsigned char WPGHeader::m_fileType
| private

Referenced by isSupported(), and load().

unsigned char WPGHeader::m_identifier[4]
| private

Referenced by isSupported(), load(), and WPGHeader().

unsigned char WPGHeader::m_majorVersion
| private

Referenced by isSupported(), load(), and majorVersion().

unsigned char WPGHeader::m_minorVersion
| private

Referenced by isSupported(), and load().

unsigned char WPGHeader::m_productType
| private

Referenced by isSupported(), and load().

unsigned long WPGHeader::m_startOfDocument
| private

Referenced by load(), and startOfDocument().

unsigned int WPGHeader::m_startOfPacketData
| private

Referenced by load().

The documentation for this class was generated from the following files:

- WPGHeader.h
- WPGHeader.cpp